XScreenSaver(1)

NAME
nerverot - induces edginess in the viewer

SYNOPSIS
nerverot [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-db] [-no-db] [-colors integer] [-delay microseconds] [-count integer] [-line-width integer] [-event-chance fraction] [-iter-amt fraction] [-nervousness fraction] [-max-nerve-radius fraction] [-min-radius integer] [-max-radius integer] [-min-scale fraction] [-max-scale fraction]

DESCRIPTION
The goal of nerverot is to be interesting and compelling to watch, yet induce a state of nervous edginess in the viewer. This manpage describes v1.3 of the program.

OPTIONS
nerverot accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-db -no-db Use double-buffering (or not, respectively). Double-buffering may make things look better for larger line widths and/or larger numbers of blots, but "better" may equate to yielding less of the desired edginess effect. You'll be calmer after watching the double-buffered variant; you're more likely to go into epileptic fits with it off. Hence, it is off (false) by default, resource doubleBuffer.

-colors integer
    How many colors should be used (if possible). The colors form a smooth ramp between two randomly-chosen colors. Defaults to 4, resource colors.

-delay microseconds
    The interframe delay, in microseconds. Defaults to 10000, resource delay.

-max-iters integer
    The maximum number of iterations (frames) before a new model is generated. The actual number of iterations per model is a random number between 1 and this value. Defaults to 1200, resource maxIters.

-count integer
    How many "blots" to draw at a time. This number may be rounded down to fit the particularly chosen model, and has a fixed minimum per-model. Defaults to 250, resource count.

-line-width integer
    The width of the lines to draw. 0 means an optimized pixel-thick line. Defaults to 0, resource lineWidth.

-event-chance fraction
    The chance, per iteration, for a life-altering event to occur (such as picking a new rotation target), in the range 0..1. Defaults to 0.2, resource eventChance.

-iter-amt fraction
    The fraction of movement towards a target (such as rotation angle or scale) that happens per iteration, in the range 0..1. Defaults to 0.01, resource terAmt.

-nervousness fraction
    How nervous the drawing is, in the range 0..1. This is how jumpy the points on each blot are. Defaults to 0.3, resource nervousness.

-max-nerve-radius fraction
    The maximum radius of blot nervousness, as a fraction of the radius of the blot, in the range 0..1. Defaults to 0.7, resource maxNerveRadius.

-min-radius integer
    The minimum radius for a blot, in the range 1..100. Defaults to 3, resource minRadius.

-max-radius integer
    The maximum radius for a blot, in the range 1..100. Defaults to 25, resource maxRadius.

-min-scale fraction
    The minimum overall scale of drawing, as a fraction of min(windowHeight,windowWidth), in the range 0..10. Defaults to 0.6, resource minScale.

-max-scale fraction
    The maximum overall scale of drawing, as a fraction of min(windowHeight,windowWidth), in the range 0..10. Defaults to 1.75, resource maxScale.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

X RESOURCES
There are resource equivalents for each option, noted above.

BUGS
nerverot should have more models.

XDBE should be detected and used, if available.

SEE ALSO
xscreensaver(1)

COPYRIGHT
Copyright © 2000-2001 by Dan Bornstein. All rights reserved. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Dan Bornstein <danfuzz@milk.com>.